ClaimMode (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.security.claims.authorization, enum: ClaimMode

Package org.apache.cxf.security.claims.authorization

# Enum Class ClaimMode

java.lang.Object
java.lang.Enum<ClaimMode>
org.apache.cxf.security.claims.authorization.ClaimMode

All Implemented Interfaces:
  `Serializable`, `Comparable<ClaimMode>`, `Constable`

public enum ClaimMode extends Enum<ClaimMode>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `LAX`
  `STRICT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClaimMode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ClaimMode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STRICT

    public static final ClaimMode STRICT

  - ### LAX

    public static final ClaimMode LAX

- ## Method Details

  - ### values

    public static ClaimMode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ClaimMode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null